﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Web.Http;
using System.Diagnostics;

// Demo della sessione su MVC4 Beta WebApi (Ex WCF) - http://www.communitydays.it/events/communitydays-2012/
// Raffaele Rialdi raffaeler@vevy.com - @raffaeler - http://iamraf.net


namespace AW4.Controllers
{
	public class ContactController : ApiController
	{
		//[WebGet(UriTemplate = "{name}")]
		public string Get(string id)
		{
			switch(id)
			{
				case "raf":
					return "malta@vevy.com";

				default:
					return "abcdefg";
			}
		}

		//[WebInvoke(UriTemplate = "{name}/{email}", Method = "POST")]
		[AW4.Filters.EmailValidationFilter]
		public void Post(string id, string email)
		{
			Trace.WriteLine(string.Format("{0}: {1}", id, email));
		}

		//[WebGet(UriTemplate = "NotImplementedFeature")]
		public string NotImplementedFeature()
		{
			throw new NotImplementedException();
		}
	}
}
