﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace AW3Client
{
	public static class Helpers
	{
		public static void WriteToStream(this string text, Stream stream)
		{
			if (string.IsNullOrEmpty(text))
				return;

			var blob = System.Text.Encoding.UTF8.GetBytes(text);
			stream.Write(blob, 0, blob.Length);
		}

		public static string GetString(this Stream stream)
		{
			int length = (int)stream.Length;
			byte[] blob = new byte[stream.Length];
			stream.Read(blob, 0, blob.Length);
			var result = Encoding.UTF8.GetString(blob);
			return result;
		}
	}
}
