﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using System.Web.Http.Controllers;
using System.Text.RegularExpressions;
using System.Web.Http;
using System.Net.Http;

namespace AW4.Filters
{
	public class ReverseParamsFilterAttribute : System.Web.Http.Filters.ActionFilterAttribute
	{
		public override void OnActionExecuting(HttpActionContext actionContext)
		{
			base.OnActionExecuting(actionContext);

			double x, y;
			bool res = true;

			res &= actionContext.ActionArguments.TryGetValue<double>("x", out x);
			res &= actionContext.ActionArguments.TryGetValue<double>("y", out y);

			if(!res)
				return;

			actionContext.ActionArguments["x"] = y;
			actionContext.ActionArguments["y"] = x;
		}
	}
}